package io.accumulatenetwork.sdk.generated.apiv2;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.RPCBody;
import io.accumulatenetwork.sdk.protocol.Signature;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("SignaturePage")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SignaturePage implements RPCBody {
	private SignerMetadata signer;
	private Signature[] signatures;

    //
	public SignerMetadata getSigner() {
	    return signer;
	}
	public void setSigner(final SignerMetadata value) {
	    this.signer = value;
	}

	public SignaturePage signer(final SignerMetadata value) {
	    setSigner(value);
	    return this;
	}
	public Signature[] getSignatures() {
	    return signatures;
	}
	public void setSignatures(final Signature[] value) {
	    this.signatures = value;
	}

	public SignaturePage signatures(final Signature[] value) {
	    setSignatures(value);
	    return this;
	}
}
